package com.company.refreshevent.screen.book;

import io.jmix.ui.model.CollectionChangeType;
import io.jmix.ui.model.CollectionContainer;
import io.jmix.ui.screen.*;
import com.company.refreshevent.entity.Book;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

@UiController("Book.browse")
@UiDescriptor("book-browse.xml")
@LookupComponent("booksTable")
public class BookBrowse extends StandardLookup<Book> {
    private static final Logger log = LoggerFactory.getLogger(BookBrowse.class);

    @Subscribe(id = "booksDc", target = Target.DATA_CONTAINER)
    public void onBooksDcCollectionChange(final CollectionContainer.CollectionChangeEvent<Book> event) {
        CollectionChangeType changeType = event.getChangeType();
        log.info("Change type: {}", changeType);
    }
}